## Uses of Interface
org.apache.cassandra.service.CASRequest

- Packages that use CASRequest
  Package | Description
  --- | ---
  org.apache.cassandra.cql3.statements |
  org.apache.cassandra.service |

- - ### Uses of CASRequest in org.apache.cassandra.cql3.statements

    Classes in org.apache.cassandra.cql3.statements that implement CASRequest
    Modifier and Type | Class and Description
    --- | ---
    `class` | `CQL3CasRequest` Processed CAS conditions and update on potentially multiple rows of the same partition.

  - ### Uses of CASRequest in org.apache.cassandra.service

    Methods in org.apache.cassandra.service with parameters of type CASRequest
    Modifier and Type | Method and Description
    --- | ---
    `static ColumnFamily` | StorageProxy.`cas(java.lang.String keyspaceName, java.lang.String cfName, java.nio.ByteBuffer key, CASRequest request, ConsistencyLevel consistencyForPaxos, ConsistencyLevel consistencyForCommit, ClientState state)` Apply @param updates if and only if the current values in the row for @param key match the provided @param conditions.

Copyright © 2018 The Apache Software Foundation